# Bulk Transfer ERC1155

Use this method to transfer multiple ERC1155 tokens from the same collection

{% hint style="info" %}
You are only able to transfer ERC1155 tokens, which is in your developer wallet and the collection use Altura services.
{% endhint %}

### **Usage in your script**

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const response = await altura.transferItems(
  COLLECTION_ADDRESS,
  TOKEN_IDS, //array 
  AMOUNTS, //array
  TO_ADDRESS
);

const txHash = response.txHash;
```

{% endtab %}

{% tab title="TypeScript" %}

```typescript
const response: {txHash: string} = await altura.transferItems(
  COLLECTION_ADDRESS,
  TOKEN_IDS,
  AMOUNTS,
  TO_ADDRESS
);

const txHash = response.txHash;
```

{% endtab %}
{% endtabs %}

### Parameters

<table><thead><tr><th width="193.33333333333331">Parameter</th><th width="112">Type</th><th width="109">Required</th><th>Description</th></tr></thead><tbody><tr><td>collection_address</td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>The item's collection address</td></tr><tr><td>token_ids</td><td><strong>number[]</strong></td><td><strong>Yes</strong></td><td>An array of the token Id's you wish to transfer from the specified collection</td></tr><tr><td>amounts</td><td><strong>number[]</strong></td><td><strong>Yes</strong></td><td>An array of the amount of each tokenId you wish to transfer. This array must be the same length as the tokenIds array</td></tr><tr><td>to</td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>The recipient's EVM-compatible address (0x...)</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/js-sdk-reference/developer-wallet-methods/bulk-transfer-erc1155.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
